package org.iphsoft.simon1.util;

import android.os.Build;

/**
 * Utility for getting device models
 * 
 * @author omergilad
 */
public class DeviceIdentifier {

	public enum DeviceModel
	{
		NEXUS7_2013("Nexus 7", "flo"), NEXUS5("Nexus 5", "hammerhead"), Galaxy_S1("GT-I9000", ""), Galaxy_S2(
				"GT-I9100", ""), Galaxy_S3("GT-I9300", "m0"), Galaxy_S4("GT-I9500", ""), Kindle_KFAPWA(
				"KFAPWA", ""), Kindle_KFAPWI("KFAPWI", ""), Kindle_KFTHWA("KFTHWA", ""), Kindle_KFTHWI(
				"KFTHWI", ""), THL_W200("W200", "bird89_wet_a_jb2"), Sony_Xperia_SP("C5303",
				"C5303"), Galaxy_Note_2("GT-N7100", "t03g"), Galaxy_Note_3_9002("SM-N9002", "hlte"), Galaxy_Note_3_9005(
				"SM-N9005", "hlte"), Galaxy_S5_SM_G900F("SM-G900F", "klte"), Galaxy_S5_SM_G900FQ(
				"SM-G900FQ", "klte"), Galaxy_S5_SM_G900I("SM-G900I", "klte"), Galaxy_S5_SM_G900M(
				"SM-G900M", "klte"), Acer_Iconia_Tab_8("A1-840FHD", "ducati2fhd"), LG_G3("LG-D855",
				"g3"), LG_G4("LG-H815", "p1"), Unknown("", "");

		public static DeviceModel getFromModelAndDeviceString(String modelString,
				String deviceString)
		{
			for (DeviceModel model : DeviceModel.values())
			{
				if (model.mModelString.equalsIgnoreCase(modelString)
						&& (model.mDeviceString.equals("") || model.mDeviceString
								.equalsIgnoreCase(deviceString)))
				{
					return model;
				}
			}

			return Unknown;
		}

		private DeviceModel(String modelString, String deviceString)
		{
			mDeviceString = deviceString;
			mModelString = modelString;
		}

		private String mModelString;
		private String mDeviceString;

	}

	public static DeviceModel getDeviceModel()
	{
		String model = Build.MODEL;
		String device = Build.DEVICE;
		return DeviceModel.getFromModelAndDeviceString(model, device);
	}
}
