package org.iphsoft.simon1.util;

import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.media.MediaPlayer.OnCompletionListener;

public class MediaPlayerHelper {

	/**
	 * Play a one time audio part
	 * 
	 * @param context
	 * @param asset
	 */
	public static void playAudioResource(Context context, int res)
	{
		MyLog.d("MediaUtils: playAudioAsset: " + res);
		try
		{
			AssetFileDescriptor afd = context.getResources().openRawResourceFd(res);
			
			if (sMediaPlayer == null)
			{
				sMediaPlayer = new MediaPlayer();
			}
			
			if (sMediaPlayer.isPlaying())
			{
				sMediaPlayer.stop();	
			}
			
			sMediaPlayer.reset();
			
			sMediaPlayer.setDataSource(afd.getFileDescriptor(), afd.getStartOffset(), afd.getLength());
			sMediaPlayer.setAudioStreamType(AudioManager.STREAM_MUSIC);
			
			sMediaPlayer.prepare();
			sMediaPlayer.start();
		} catch (Exception e)
		{
			MyLog.e("MediaUtils: playAudioAsset: couldn't start MediaPlayer!");
			MyLog.d("MediaUtils: playAudioAsset: " + e.getMessage());
			e.printStackTrace();
		}
	}
	
	public static void releaseMediaPlayer()
	{
		if (sMediaPlayer != null)
		{
			sMediaPlayer.release();
			sMediaPlayer = null;
		}
	}
	
	private static MediaPlayer sMediaPlayer = null;
}
